PHPExcel_Shared_OLE

# Class: PHPExcel_Shared_OLE_ChainedBlockStream

Source Location: /PHPExcel/Shared/OLE/ChainedBlockStream.php

### Class Overview

PHPExcel_Shared_OLE_ChainedBlockStream

### Variables

- $data
- $ole
- $params
- $pos

### Methods

- stream_close
- stream_eof
- stream_open
- stream_read
- stream_seek
- stream_stat
- stream_tell

### Class Details

[line 38]
PHPExcel_Shared_OLE_ChainedBlockStream

Stream wrapper for reading data stored in an OLE file. Implements methods for PHP's stream_wrapper_register(). For creating streams using this wrapper, use PHPExcel_Shared_OLE_PPS_File::getStream().

[ Top ]

### Class Variables

#### $data =

[line 56]

The binary data of the file.

#### Tags:

access: | public

Type: | string

[ Top ]

#### $ole =

[line 44]

The OLE container of the file that is being read.

#### Tags:

access: | public

Type: | OLE

[ Top ]

#### $params =

[line 50]

Parameters specified by fopen().

#### Tags:

access: | public

Type: | array

[ Top ]

#### $pos =

[line 62]

The file pointer.

#### Tags:

var: | byte offset
access: | public

Type: | int

[ Top ]

### Class Methods

### method stream_close [line 135]

`void stream_close( )`

Implements support for fclose().

#### Tags:

access: | public

[ Top ]

### method stream_eof [line 162]

`bool stream_eof( )`

Implements support for feof().

#### Tags:

return: | TRUE if the file pointer is at EOF; otherwise FALSE
access: | public

[ Top ]

### method stream_open [line 75]

`bool stream_open( string $path, string $mode, int $options, string &$openedPath)`

Implements support for fopen().

For creating streams using this wrapper, use OLE_PPS_File::getStream().

#### Tags:

return: | true on success
access: | public

#### Parameters:

string | $path | resource name including scheme, e.g. ole-chainedblockstream://oleInstanceId=1
string | $mode | only "r" is supported
int | $options | mask of STREAM_REPORT_ERRORS and STREAM_USE_PATH
string | &$openedPath | absolute path of the opened stream (out parameter)

[ Top ]

### method stream_read [line 147]

`string stream_read( int $count)`

Implements support for fread(), fgets() etc.

#### Tags:

access: | public

#### Parameters:

int | $count | maximum number of bytes to read

[ Top ]

### method stream_seek [line 192]

`bool stream_seek( int $offset, int $whence)`

Implements support for fseek().

#### Tags:

access: | public

#### Parameters:

int | $offset | byte offset
int | $whence | SEEK_SET, SEEK_CUR or SEEK_END

[ Top ]

### method stream_stat [line 211]

`array stream_stat( )`

Implements support for fstat(). Currently the only supported field is "size".

#### Tags:

access: | public

[ Top ]

### method stream_tell [line 180]

`int stream_tell( )`

Returns the position of the file pointer, i.e. its offset into the file stream. Implements support for ftell().

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:23 +0200 by phpDocumentor 1.4.4